png::info_base Class Reference

Internal class to hold PNG info or end_info. More...

`#include <info_base.hpp>`

Inheritance diagram for png::info_base:

## Public Member Functions

| info_base (io_base &io, png_struct *png)
png_info * | get_png_info () const
png_info ** | get_png_info_ptr ()

## Protected Attributes

io_base & | m_io
png_struct * | m_png
png_info * | m_info

## Detailed Description

Internal class to hold PNG info or end_info.

## Constructor & Destructor Documentation

png::info_base::info_base | ( | io_base & | io,
|  | png_struct * | png
| ) |  |

inline

## Member Function Documentation

png_info* png::info_base::get_png_info | ( |  | ) | const

inline

References m_info.

Referenced by png::io_base::has_chunk(), png::reader< istream >::read_png(), png::writer< ostream >::write_png(), and png::io_base::~io_base().

png_info** png::info_base::get_png_info_ptr | ( |  | ) |

inline

References m_info.

Referenced by png::reader< istream >::~reader(), and png::writer< ostream >::~writer().

## Member Data Documentation

io_base& png::info_base::m_io

protected

png_struct* png::info_base::m_png

protected

Referenced by png::end_info::destroy(), png::info::read(), png::end_info::read(), png::info::sync_ihdr(), png::info::update(), png::end_info::write(), and png::info::write().

png_info* png::info_base::m_info

protected

Referenced by png::end_info::destroy(), get_png_info(), get_png_info_ptr(), png::info::read(), png::end_info::read(), png::info::sync_ihdr(), png::info::update(), png::end_info::write(), and png::info::write().

The documentation for this class was generated from the following file:

- info_base.hpp